Update a workflow revision
PUT
/
v1
/
workflows
/
revisions
/
{revision_id}
Update a workflow revision
curl --request PUT \
--url https://api-sandbox.featherhq.com/v1/workflows/revisions/{revision_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"trigger_config": {},
"router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analyzer_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"router_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"policy_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/workflows/revisions/{revision_id}"
payload = {
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"trigger_config": {},
"router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analyzer_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": ["<string>"],
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"router_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": ["<string>"],
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"policy_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
instructions: '<string>',
trigger_config: {},
router_config_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
analyzer_model_settings: {
model: '<string>',
config: {
temperature: 1,
max_tokens: 2,
top_p: 0.5,
stop_sequences: ['<string>'],
request_timeout_ms: 10500,
thinking_budget: 2
}
},
router_model_settings: {
model: '<string>',
config: {
temperature: 1,
max_tokens: 2,
top_p: 0.5,
stop_sequences: ['<string>'],
request_timeout_ms: 10500,
thinking_budget: 2
}
},
policy_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api-sandbox.featherhq.com/v1/workflows/revisions/{revision_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"instructions": "<string>",
"compilation_strategy": "<string>",
"compilation_status": "<string>",
"trigger_type": "<string>",
"trigger_config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"compiled_graph": {},
"executable_graph": {},
"quality_report": {},
"compilation_errors": [
"<string>"
],
"compilation_task_id": "<string>",
"compilation_input_hash": "<string>",
"router_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analyzer_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"reasoning_effort": "none",
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"router_model_settings": {
"model": "<string>",
"config": {
"temperature": 1,
"max_tokens": 2,
"top_p": 0.5,
"stop_sequences": [
"<string>"
],
"reasoning_effort": "none",
"request_timeout_ms": 10500,
"thinking_budget": 2
}
},
"policy_ids": [
"<unknown>"
],
"tool_input_defaults": {},
"tools": [
{
"tool": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"tool_type": "api_call",
"active_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"active_revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_count": 123,
"pinned_count": 123,
"stale_input_fields": [
"<string>"
],
"merged_input_preview": {},
"configuration": {
"url": "<string>",
"method": "GET",
"headers": [
{
"key": "<string>",
"value": "<string>",
"secure": false
}
],
"query_params": [
{
"key": "<string>",
"value": "<string>",
"secure": false
}
],
"body": {},
"timeout": 30,
"variables": [
{
"name": "<string>",
"type": "str",
"description": "<string>",
"required": false
}
],
"retry": {
"max_retries": 0,
"base_delay_seconds": 1,
"max_delay_seconds": 30,
"jitter": true
}
},
"transfer_target": {
"destination": "<string>",
"destination_source": {
"tool_id": "<string>",
"response_path": "<string>",
"type": "api_tool",
"input_mapping": {}
},
"mode": "cold"
},
"response_schema": {
"field_mappings": [
{
"path": "<string>",
"alias": "<string>"
}
]
},
"has_secrets": false,
"input_defaults": {},
"compatibility": {
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"new_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_blocking": true,
"active_blocking_count": 123,
"active_blocking_finding_count": 123,
"active_finding_count": 123,
"affected_assistant_count": 123,
"findings": [
{
"severity": "blocking",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_state": "active",
"finding_type": "<string>",
"field_path": "<string>",
"detail": "<string>",
"configuration_scope": "assistant_tool_default",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_node_id": "<string>",
"graph_node_id": "<string>",
"graph_node_name": "<string>",
"step_id": "<string>",
"tool_ref_index": 123
}
]
}
},
"metadata": {}
}
}
],
"knowledge_base_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_by": "<string>",
"graph_version": 0,
"warnings": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Read-only after creation; supplying a value returns 422. Edit the graph instead.
Available options:
fast, standard, strong Available options:
auto, keyword, event, manual, always_on Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Full revision response — the compile-poll target (WF-08).
Clients poll GET /workflows/revisions/{id} and read compilation_status
compilation_errors+compiled_graphto determine whether an async compile job is done.compilation_task_idis the Celery task handle the conductor uses to cancel an in-flight compile.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a workflow revision
